package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.RelWagaBas;
import com.goldenwater.slgc.mapper.RelWagaBasMapper;
import com.goldenwater.slgc.service.RelWagaBasService;

/** 泵站基本信息关联 业务实现 */
@Service
public class RelWagaBasServiceImpl implements RelWagaBasService {
    @Autowired
    private RelWagaBasMapper relWagaBasMapper;

    @Override
    public List<RelWagaBas> selectRelWagaBasList(RelWagaBas relWagaBas) {
        return relWagaBasMapper.selectRelWagaBasList(relWagaBas);
    }

    @Override
    public RelWagaBas selectRelWagaBasById(RelWagaBas relWagaBas) {
        return relWagaBasMapper.selectRelWagaBasById(relWagaBas);
    }

    @Override
    public int deleteRelWagaBasById(RelWagaBas relWagaBas) {
        return relWagaBasMapper.deleteRelWagaBasById(relWagaBas);
    }

    @Override
    public int insertRelWagaBas(RelWagaBas relWagaBas) {
        return relWagaBasMapper.insertRelWagaBas(relWagaBas);
    }

    @Override
    public int updateRelWagaBas(RelWagaBas relWagaBas) {
        return relWagaBasMapper.updateRelWagaBas(relWagaBas);
    }
}
